import 'package:hmg_patient_app/uitl/translations_delegate_base.dart';
import 'package:hmg_patient_app/widgets/data_display/text.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class SelectGenderDialog extends StatefulWidget {
  final Email;
  final Function okFunction;

  const SelectGenderDialog({Key? key, this.Email, required this.okFunction})
      : super(key: key);

  @override
  _SelectGenderDialogState createState() => _SelectGenderDialogState();
}

class _SelectGenderDialogState extends State<SelectGenderDialog> {
  @override
  Widget build(BuildContext context) {
    return SimpleDialog(
      children: [
        Container(
          child: Column(
            children: [
              Divider(),
              Row(
                children: <Widget>[
                  Expanded(
                    flex: 1,
                    child: InkWell(
                      onTap: () {
                        setState(() {
                          //beneficiaryType = Gender.Male;
                        });
                      },
                      child: ListTile(
                        title: Text(
                            "${TranslationBase.of(context).sendChildEmailMsg}\n  Tamer.dasdasdas@gmail.com "),
                      ),
                    ),
                  )
                ],
              ),
              SizedBox(
                height: 5.0,
              ),
              SizedBox(
                height: 5.0,
              ),
              SizedBox(
                height: 5.0,
              ),
              Row(
                // mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: <Widget>[
                  Expanded(
                    flex: 1,
                    child: InkWell(
                      onTap: () {
                        Navigator.pop(context);
                      },
                      child: Padding(
                        padding: const EdgeInsets.all(8.0),
                        child: Container(
                          child: Center(
                            child: Texts(
                              TranslationBase.of(context).cancel.toUpperCase(),
                              color: Colors.red,
                            ),
                          ),
                        ),
                      ),
                    ),
                  ),
                  Container(
                    width: 1,
                    height: 30,
                    color: Colors.grey[500],
                  ),
                  Expanded(
                    flex: 1,
                    child: InkWell(
                      onTap: () {
                        widget.okFunction();
                        //  widget.onValueSelected(beneficiaryType);
                        Navigator.pop(context);
                      },
                      child: Padding(
                        padding: const EdgeInsets.all(8.0),
                        child: Center(
                          child: Texts(
                            TranslationBase.of(context).ok,
                            fontWeight: FontWeight.w400,
                          ),
                        ),
                      ),
                    ),
                  ),
                ],
              )
            ],
          ),
        )
      ],
    );
  }
}
